
from PySide6.QtGui import QIcon
from PySide6.QtWidgets import QDialog
from ui_pages.ui_page_help import Ui_PageHelp

class PageHelp(QDialog):
    def __init__(self, parent=None):
        # Initialize parent
        super(PageHelp, self).__init__()
        # Initialize graphics
        self.ui = Ui_PageHelp()
        self.ui.setupUi(self)
        # Initialize graphic objects
        self.setWindowIcon(QIcon("icons/rosetta.ico"))
        self.ui.pushButtonG0.setIcon(QIcon("icons/g0.ico"))
        self.ui.pushButtonG1.setIcon(QIcon("icons/g1.ico"))
        self.ui.pushButtonCentre.setIcon(QIcon("icons/centre.ico"))
        self.ui.pushButtonPointG2.setIcon(QIcon("icons/point_g2.ico"))
        self.ui.pushButtonPointG3.setIcon(QIcon("icons/point_g3.ico"))
        self.ui.pushButtonCentreG2.setIcon(QIcon("icons/centre_g2.ico"))
        self.ui.pushButtonCentreG3.setIcon(QIcon("icons/centre_g3.ico"))
        # Create connectons
        self.ui.pushButtonOK.clicked.connect(self.onPushButtonOKClicked)

    def onPushButtonOKClicked(self):
        """
        Button clicked: OK
        """
        self.accept()

